summaryrefslogtreecommitdiffstats
path: root/pkgs/build-support/fetchgit
diff options
context:
space:
mode:
authorBenjamin Hipple <bhipple@protonmail.com>2020-02-02 16:56:11 -0500
committerBenjamin Hipple <bhipple@protonmail.com>2020-02-08 21:51:46 -0500
commitcaff18340206c4e5c466c16a534f13505d1098ee (patch)
tree446e7d33227fef84ff21cbc9bc9580810491b9c3 /pkgs/build-support/fetchgit
parent8396961c9cc67d0a12c0bcf475de77d9a849fd7b (diff)
fetchzip, fetchgit: cleanup handling of optional features and whitespace
No intended functional difference, just trying to polish to make this easier to extend and more aligned with other nix conventions.
Diffstat (limited to 'pkgs/build-support/fetchgit')
-rw-r--r--pkgs/build-support/fetchgit/default.nix2
-rwxr-xr-xpkgs/build-support/fetchgit/nix-prefetch-git25
2 files changed, 13 insertions, 14 deletions
diff --git a/pkgs/build-support/fetchgit/default.nix b/pkgs/build-support/fetchgit/default.nix
index 0405951a9e40..ee662154cc7b 100644
--- a/pkgs/build-support/fetchgit/default.nix
+++ b/pkgs/build-support/fetchgit/default.nix
@@ -1,4 +1,4 @@
-{stdenvNoCC, git, cacert}: let
+{ stdenvNoCC, git, cacert }: let
urlToName = url: rev: let
inherit (stdenvNoCC.lib) removeSuffix splitString last;
base = last (splitString ":" (baseNameOf (removeSuffix "/" url)));
diff --git a/pkgs/build-support/fetchgit/nix-prefetch-git b/pkgs/build-support/fetchgit/nix-prefetch-git
index 8020ba46f3f1..a211b6a31e6f 100755
--- a/pkgs/build-support/fetchgit/nix-prefetch-git
+++ b/pkgs/build-support/fetchgit/nix-prefetch-git
@@ -1,6 +1,5 @@
-#! /usr/bin/env bash
-
-set -e -o pipefail
+#!/usr/bin/env bash
+set -eo pipefail
url=
rev=
@@ -38,17 +37,17 @@ usage(){
echo >&2 "syntax: nix-prefetch-git [options] [URL [REVISION [EXPECTED-HASH]]]
Options:
- --out path Path where the output would be stored.
- --url url Any url understood by 'git clone'.
- --rev ref Any sha1 or references (such as refs/heads/master)
- --hash h Expected hash.
- --branch-name Branch name to check out into
- --deepClone Clone the entire repository.
- --no-deepClone Make a shallow clone of just the required ref.
- --leave-dotGit Keep the .git directories.
+ --out path Path where the output would be stored.
+ --url url Any url understood by 'git clone'.
+ --rev ref Any sha1 or references (such as refs/heads/master).
+ --hash h Expected hash.
+ --branch-name Branch name to check out into.
+ --deepClone Clone the entire repository.
+ --no-deepClone Make a shallow clone of just the required ref.
+ --leave-dotGit Keep the .git directories.
--fetch-submodules Fetch submodules.
- --builder Clone as fetchgit does, but url, rev, and out option are mandatory.
- --quiet Only print the final json summary.
+ --builder Clone as fetchgit does, but url, rev, and out option are mandatory.
+ --quiet Only print the final json summary.
"
exit 1
}